<template>
  <div class="login-page">
  <div class="form">
    <form  @submit.prevent="onSubmit" class="login-form">
      <input v-model="userForm.usuario" type="text" placeholder="Usuario"/>
      <input v-model="userForm.pass" type="password" placeholder="Contraseña"/>
      <button type="submit">Ingresar</button>
      <p><router-link :to="{name: 'register'}" class="message">No estas registrado?</router-link></p>
      <router-link :to="{name: 'recovery'}" class="message">Olvidaste tu contraseña?</router-link>
    </form>
  </div>
</div>
</template>

<script>

import useUsers from "@/composables/useUsers";
import { ref } from 'vue';
import { useRouter } from 'vue-router';
import Swal from 'sweetalert2';

export default {
  setup(){

    const { LoginUser } = useUsers()
    const router = useRouter()

    const userForm = ref({})

    return{
      userForm,
      onSubmit: async() => {

        const { code, data } =  await LoginUser(userForm.value)
        //console.log(data)
        if(code === '200') router.push({name: 'home'})
        else Swal.fire('Error', 'Error en Login', 'error')

      }
    }

  }
}
</script>

<style scoped>
    @import url('../css/login.css');
</style>